Subject: Re: Correct way to submit a patch?

From: Armin <[email-masked]>
Date: Tue, 05 Feb 2002 09:04:08 +0000

[email-masked] wrote:

> On Tue, Feb 05, 2002 at 09:18:52AM -0700, Tom Rini wrote:
>
>>On Mon, Feb 04, 2002 at 02:25:03PM -0600, Dave Wolfe wrote:
>>
>>>[ [email-masked] writes: ]
>>>
>>>>The proper way is to send it to this list, eventually CC'ed to one
>>>>of the people in the MAINTAINERS file depending which type of machine
>>>>is affected by it.
>>>>
>>>I would suggest that patches be attached to the email.
>>>
>>Please don't...  I tend to take the Linus approach to this.  I won't
>>ignore attachments like him tho.. :)
>>
>
> He makes a good point about list archives though... if the patch is inline,
> you're left copying and pasting out of a web browser, which has all sorts of
> formatting problems (like indentation, "&lt;", etc).
>
> If you send as an attachment (not gzipped, just plain text) then most mail
> readers can read it inline *and* it will be saved in pristin form in the list
> archives.
>
> -Hollis
>

It seams to me that if I want someone else to check in my patch, I
certainly don't want to make more work for them.  In my experience,
plain text does not all ways work.

armin

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/